Export reenrollment history collection Copy Pagepost https://yourServer.jamfcloud.com/api/v1/reenrollment/history/exportExport reenrollment history collection Required privilege: Read Re-enrollmentRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query Paramsexport-fieldsarray of stringsDefaults to Export fields parameter, used to change default order or ignore some of the response properties. Default is empty array, which means that all fields of the response entity will be serialized. Example: export-fields=id,usernameexport-fieldsADD stringexport-labelsarray of stringsDefaults to Export labels parameter, used to customize fieldnames/columns in the exported file. Default is empty array, which means that response properties names will be used. Number of the provided labels must match the number of export-fields Example: export-labels=identifier,name with matching: export-fields=id,usernameexport-labelsADD stringpageintegerDefaults to 0page-sizeintegerDefaults to 100sortarray of stringsDefaults to id:ascSorting criteria in the format: property:asc/desc. Default sort is id:desc. Multiple sort criteria are supported and must be separated with a comma. Example: sort=id:desc,name:ascsort stringADD stringfilterstringQuery in the RSQL format, allowing to filter history notes collection. Default filter is empty query - returning all results for the requested page. Fields allowed in the query: id, name. This param can be combined with paging and sorting. Example: name=="script"Body ParamsOptional. Override query parameters since they can make URI exceed 2,000 character limit.pageinteger | nullDefaults to 0pageSizeinteger | nullDefaults to 100sortarray of strings | nullDefaults to id:descSorting criteria in the format: [[:asc/desc]. Default direction when not stated is ascending.sort stringADD stringfilterstring | nullfieldsarray of objects | nullUsed to change default order or ignore some of the fields. When null or empty array, all fields will be exported.fieldsADD objectHeadersacceptstringenumDefaults to text/csv,application/jsonGenerated from available response content typesapplication/jsontext/csv,application/jsonAllowed:application/jsontext/csv,application/jsonResponses 200Export successful 400Export fields specified incorrectly - non-existing column or duplicate in the list. Supported columns: id,name,categoryName,categoryId,priority. 503Export currently unavailable, all export-related resources are in use. Try again later.Updated 21 days ago